%define name freeplane
%define version 1.3.15
%define release %mkrel 1

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		Support thinking, sharing information and getting things done
License:		GPL2
URL:			http://freeplane.sourceforge.net
Group:			Text tools
Source0:		%{name}_bin-%{version}.tar.xz
Requires:		java >= 1.7
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:		noarch

%description
Freeplane is free and open source software to support thinking, sharing
information and getting things done at work, in school and at home.
The core of the software consists of functions for mind mapping,
also called concept mapping or information mapping, and tools
for using mapped information

%install
rm -rf %{buildroot}
%__install -d %{buildroot}%{_datadir}
tar -xf %{SOURCE0} -C %{buildroot}%{_datadir}

mv %{buildroot}%{_datadir}/%{name}-%{version} %{buildroot}%{_datadir}/%{name}

rm -rf %{buildroot}%{_datadir}/%{name}/{freeplane.bat,freeplane.exe,freeplaneConsole.exe,freeplaneIcons.dll} 

# icon and menu-entry
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{buildroot}%{_datadir}/%{name}/%{name}.png \
	%{buildroot}%{_datadir}/pixmaps

%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Comment=Support thinking, sharing information and getting things done
Name=%{name}
GenericName=%{name}
Type=Application
MimeType=application/x-freeplane;
Exec=%{_datadir}/%{name}/%{name}.sh
Icon=%{name}
Terminal=false
Categories=X-MandrivaLinux-Office-TasksManagement;Office;Development;ProjectManagement ?; 
EOF

cat > %{buildroot}%{_datadir}/%{name}/freeplane.xml << EOF
<?xml version="1.0"?>
<mime-info xmlns='http://www.freedesktop.org/standards/shared-mime-info'>
  <mime-type type="application/x-freeplane">
    <comment>Freeplane file type</comment>
    <glob pattern="*.mm"/>
  </mime-type>
</mime-info>
EOF


%post
xdg-mime install --novendor %{_datadir}/%{name}/freeplane.xml
update-mime-database /usr/share/mime
%update_desktop_database

%postun
xdg-mime uninstall %{_datadir}/mime/application/x-freeplane.xml
update-mime-database /usr/share/mime
%clean_desktop_database

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root,-)
%{_datadir}


%changelog
* Tue Apr 14 2015 MBantz <martin dot bantz at gmail dot com> freeplane-1.3.15-1pclos2015
- Update

* Thu Nov 28 2013 MBantz <martin dot bantz at gmail dot com> freeplane-1.2.23-1pclos2013
- Update to 1.2.23
- Added mimetype

* Mon May 28 2012  MBantz <martin dot bantz at gmail dot com> freeplane-1.1.3-2pclos2012
- fixed dos/win prob

* Sun May 27 2012  Neal <nealbrks0 at gmail dot com> freeplane-1.1.3-1pclos2012
- process

* Sun May 27 2012  MBantz <martin dot bantz at gmail dot com> freeplane-1.1.3-1pclos2012
- Created for PCLinuxOS

